package com.huashe.park.core.mapper;


import com.huashe.park.domain.entity.BdDevcTrailUwb;

import java.util.List;

/**
 * 室内坐标定位Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-16
 */
public interface BdDevcTrailUwbMapper {
    /**
     * 查询室内坐标定位
     *
     * @param id 室内坐标定位主键
     * @return 室内坐标定位
     */
    public BdDevcTrailUwb selectBdDevcTrailUwbById(Long id);

    /**
     * 查询室内坐标定位列表
     *
     * @param bdDevcTrailUwb 室内坐标定位
     * @return 室内坐标定位集合
     */
    public List<BdDevcTrailUwb> selectBdDevcTrailUwbList(BdDevcTrailUwb bdDevcTrailUwb);

    /**
     * 新增室内坐标定位
     *
     * @param bdDevcTrailUwb 室内坐标定位
     * @return 结果
     */
    public int insertBdDevcTrailUwb(BdDevcTrailUwb bdDevcTrailUwb);

    /**
     * 修改室内坐标定位
     *
     * @param bdDevcTrailUwb 室内坐标定位
     * @return 结果
     */
    public int updateBdDevcTrailUwb(BdDevcTrailUwb bdDevcTrailUwb);

    /**
     * 删除室内坐标定位
     *
     * @param id 室内坐标定位主键
     * @return 结果
     */
    public int deleteBdDevcTrailUwbById(Long id);

    /**
     * 批量删除室内坐标定位
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBdDevcTrailUwbByIds(Long[] ids);

    void saveObjTail(String dt);
}
